#include "partition.h"
#include<bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> A) 
{
    int n=A.size();
    vector<int>ans(n);
    vector<vector<int>>cnt(1000005);
    for(int i=0;i<n;i++)
    {
        cnt[A[i]].push_back(i);
    }
    int idx=0;
    for(int i=0;i<100005;i++)
    {   
        for(int j=0;j<cnt[i].size()/2;j++)
        {
            ans[idx]=cnt[i][j];
            ans[idx+(n/2)]=cnt[i][j+cnt[i].size()/2];
            idx++;
        }
    }
    return ans;
}
